// CFileOptsPage.cpp : implementation file
//

#include "stdafx.h"
#include "MFCSDI.h"
#include "FileOptsPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFileOptsPage property page

IMPLEMENT_DYNCREATE(CFileOptsPage, CPropertyPage)

CFileOptsPage::CFileOptsPage() : CPropertyPage(CFileOptsPage::IDD)
{
	//{{AFX_DATA_INIT(CFileOptsPage)
	m_csBackupExt = _T("");
	m_bCreateBackups = FALSE;
	m_csDefaultExt = _T("");
	m_bExpandTabs = FALSE;
	m_bReadOnly = FALSE;
	m_bCheckRO = FALSE;
	m_bUseLFOnly = FALSE;
	m_bResynchApp = FALSE;
	m_bResynchView = FALSE;
	m_bResynchViewNever = FALSE;
	m_bResynchNever = FALSE;
	//}}AFX_DATA_INIT
}

CFileOptsPage::~CFileOptsPage()
{
}

void CFileOptsPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFileOptsPage)
	DDX_Control(pDX, IDC_RESYNCHVIEWNEVER, m_ckbResynchViewNever);
	DDX_Control(pDX, IDC_RESYNCHNEVER, m_ckbResynchNever);
	DDX_Control(pDX, IDC_RESYNCHAPP, m_ckbResynchApp);
	DDX_Control(pDX, IDC_RESYNCHVIEW, m_ckbResynchView);
	DDX_Text(pDX, IDC_BACKUPEXT, m_csBackupExt);
	DDV_MaxChars(pDX, m_csBackupExt, 10);
	DDX_Check(pDX, IDC_CREATEBACKUPS, m_bCreateBackups);
	DDX_Text(pDX, IDC_DEFEXT, m_csDefaultExt);
	DDV_MaxChars(pDX, m_csDefaultExt, 10);
	DDX_Check(pDX, IDC_EXPTABSONLOAD, m_bExpandTabs);
	DDX_Check(pDX, IDC_READONLY, m_bReadOnly);
	DDX_Check(pDX, IDC_ROATTRCHECK, m_bCheckRO);
	DDX_Check(pDX, IDC_USELFONLY, m_bUseLFOnly);
	DDX_Check(pDX, IDC_RESYNCHAPP, m_bResynchApp);
	DDX_Check(pDX, IDC_RESYNCHVIEW, m_bResynchView);
	DDX_Check(pDX, IDC_RESYNCHNEVER, m_bResynchNever);
	DDX_Check(pDX, IDC_RESYNCHVIEWNEVER, m_bResynchViewNever);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFileOptsPage, CPropertyPage)
	//{{AFX_MSG_MAP(CFileOptsPage)
	ON_BN_CLICKED(IDC_RESYNCHNEVER, OnResynchnever)
	ON_BN_CLICKED(IDC_RESYNCHVIEWNEVER, OnResynchnever)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFileOptsPage message handlers

void CFileOptsPage::OnResynchnever()
{
    // Disable the resynch options if a 'Never' button is checked.
    // Resynch View must be disabled by Absolutely Never because
    // the view will gain focus after the app gains focus and could
    // still reload.
    if(m_ckbResynchNever.GetCheck() || m_ckbResynchViewNever.GetCheck())
        m_ckbResynchView.EnableWindow(FALSE);
    else
        m_ckbResynchView.EnableWindow(TRUE);

    if(m_ckbResynchNever.GetCheck())
        m_ckbResynchApp.EnableWindow(FALSE);
    else
        m_ckbResynchApp.EnableWindow(TRUE);
}

BOOL CFileOptsPage::OnSetActive()
{
    OnResynchnever();

	return CPropertyPage::OnSetActive();
}
