#if !defined(AFX_CGlobalOptions_H__3B11D918_D53F_11D1_9CF0_00008322BBA1__INCLUDED_)
#define AFX_CGlobalOptions_H__3B11D918_D53F_11D1_9CF0_00008322BBA1__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// CGlobalOptions.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGlobalOptions

#include "StartupOptsPage.h"
#include "GeneralOptsPage.h"
#include "SearchOptsPage.h"
#include "FileOptsPage.h"
#include "AutoSavePage.h"

class CGlobalOptions : public CPropertySheet
{
	DECLARE_DYNAMIC(CGlobalOptions)

// Construction
public:
	CGlobalOptions(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGlobalOptions)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CGlobalOptions();

	// Generated message map functions
protected:
	//{{AFX_MSG(CGlobalOptions)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
    CStartupOptsPage m_Startup;
    CGeneralOptsPage m_General;
    CSearchOptsPage  m_Search;
    CFileOptsPage    m_File;
    CAutoSavePage    m_AutoSave;

    void SetOptions(GlobalEditorOptions &gblOpts, int nAutoSaveFlags,
        int nAutoSaveInterval);
    void GetOptions(GlobalEditorOptions &gblOpts, int &nAutoSaveFlags,
        int &nAutoSaveInterval);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CGlobalOptions_H__3B11D918_D53F_11D1_9CF0_00008322BBA1__INCLUDED_)
