// CGeneralOptsPage.cpp : implementation file
//

#include "stdafx.h"
#include "MFCSDI.h"
#include "GeneralOptsPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGeneralOptsPage property page

IMPLEMENT_DYNCREATE(CGeneralOptsPage, CPropertyPage)

CGeneralOptsPage::CGeneralOptsPage() : CPropertyPage(CGeneralOptsPage::IDD)
{
	//{{AFX_DATA_INIT(CGeneralOptsPage)
	m_bAutoIndent = FALSE;
	m_bAutoWordWrap = FALSE;
	m_bCanUndoRedo = FALSE;
	m_nIndentSize = 0;
	m_bNonPersBlocks = FALSE;
	m_bOverwriteBlocks = FALSE;
	m_nRightMargin = 0;
	m_nSignsInterval = 0;
	m_nSignsStart = 0;
	m_nTabSize = 0;
	m_bTrailingSpaces = FALSE;
	m_bUseHardTabs = FALSE;
	m_bWrapMode = FALSE;
	m_bWrapOnResize = FALSE;
	//}}AFX_DATA_INIT
}

CGeneralOptsPage::~CGeneralOptsPage()
{
}

void CGeneralOptsPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGeneralOptsPage)
	DDX_Check(pDX, IDC_AUTOINDENTMODE, m_bAutoIndent);
	DDX_Check(pDX, IDC_AUTOWORDWRAP, m_bAutoWordWrap);
	DDX_Check(pDX, IDC_CANUNDOREDO, m_bCanUndoRedo);
	DDX_Text(pDX, IDC_INDENTSIZE, m_nIndentSize);
	DDV_MinMaxInt(pDX, m_nIndentSize, 3, 16);
	DDX_Check(pDX, IDC_NONPERSBLOCKS, m_bNonPersBlocks);
	DDX_Check(pDX, IDC_OVERWRITEBLKS, m_bOverwriteBlocks);
	DDX_Text(pDX, IDC_RIGHTMARGIN, m_nRightMargin);
	DDV_MinMaxInt(pDX, m_nRightMargin, 4, 256);
	DDX_Text(pDX, IDC_SIGNSINTVL, m_nSignsInterval);
	DDV_MinMaxInt(pDX, m_nSignsInterval, 0, 32767);
	DDX_Text(pDX, IDC_SIGNSSTART, m_nSignsStart);
	DDV_MinMaxInt(pDX, m_nSignsStart, 0, 32767);
	DDX_Text(pDX, IDC_TABSIZE, m_nTabSize);
	DDV_MinMaxInt(pDX, m_nTabSize, 3, 16);
	DDX_Check(pDX, IDC_TRAILINGSPACES, m_bTrailingSpaces);
	DDX_Check(pDX, IDC_USEHARDTABS, m_bUseHardTabs);
	DDX_Check(pDX, IDC_WORDWRAPMODE, m_bWrapMode);
	DDX_Check(pDX, IDC_WRAPONRESIZE, m_bWrapOnResize);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CGeneralOptsPage, CPropertyPage)
	//{{AFX_MSG_MAP(CGeneralOptsPage)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGeneralOptsPage message handlers
